Subject: Re: [PATCH net-next] net: ptp: oki-semi: fix build dependency

From: Richard Cochran <[email-masked]>
Date: Mon, 31 Mar 2014 11:21:54 +0200

On Sun, Mar 30, 2014 at 11:32:19PM -0700, Alexei Starovoitov wrote:

> -	depends on PCI && (X86 || COMPILE_TEST)
> +	depends on PCI && NETWORK_PHY_TIMESTAMPING && (X86 || COMPILE_TEST)

This is not the way to fix it.

Enabling NETWORK_PHY_TIMESTAMPING puts extra checks into the hot path
for every skb passed to netif_receive_skb(). It only makes sense to
pay this extra cost if you actually have a time stamping PHY.

So instead, move the classifier routine out of timestamping.c to a
place where it is always compiled into the stack.

Thanks,
Richard